<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/background_shape_white_radius_12_top_only">

    <TextView
        android:id="@+id/titleTv"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:gravity="center"
        android:text="选择图片上传方式"
        android:textColor="@color/text_subtitleDesc"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/line1"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/divider"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/titleTv" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/localUploadContainer"
        android:layout_width="match_parent"
        android:layout_height="64dp"
        android:background="@drawable/choose_game_collection_cover_type_selector"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/line1">

        <TextView
            android:id="@+id/localUploadTitleTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:includeFontPadding="false"
            android:text="本地上传"
            android:textColor="@color/text_title"
            android:textSize="@dimen/secondary_title_text_size"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/recommentTv"
            android:layout_width="28dp"
            android:layout_height="16dp"
            android:layout_marginLeft="4dp"
            android:background="@drawable/bg_game_collection_cover_tag"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="推荐"
            android:textColor="@color/theme_font"
            android:textSize="@dimen/tag_text_size"
            app:layout_constraintBottom_toBottomOf="@+id/localUploadTitleTv"
            app:layout_constraintStart_toEndOf="@+id/localUploadTitleTv"
            app:layout_constraintTop_toTopOf="@+id/localUploadTitleTv" />

        <TextView
            android:id="@+id/localUploadDesTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:includeFontPadding="false"
            android:text="上传清晰美观的封面，有助于你的游戏单脱颖而出"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="@dimen/secondary_size"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/localUploadTitleTv" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:id="@+id/line2"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/divider"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/localUploadContainer" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/defaultUploadContainer"
        android:layout_width="match_parent"
        android:layout_height="64dp"
        android:background="@drawable/choose_game_collection_cover_type_selector"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/line2">

        <TextView
            android:id="@+id/defaultUploadTitleTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:includeFontPadding="false"
            android:text="默认封面"
            android:textColor="@color/text_title"
            android:textSize="@dimen/secondary_title_text_size"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/defaultUploadDesTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:includeFontPadding="false"
            android:text="光环提供的默认封面，解决你的选择困难症"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="@dimen/secondary_size"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/defaultUploadTitleTv" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:id="@+id/line3"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/divider"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/defaultUploadContainer" />


    <TextView
        android:id="@id/cancelBtn"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_margin="16dp"
        android:background="@drawable/bg_shape_f5_radius_999"
        android:gravity="center"
        android:text="@string/cancel"
        android:textColor="@color/text_subtitle"
        android:textSize="@dimen/secondary_title_text_size"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/line3" />

</androidx.constraintlayout.widget.ConstraintLayout>